PeopleForce
Planning

Create position

POST
/api/public/v3/planning/positions

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/public/v3/planning/positions" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'job_profile_id=string'
{  "data": {    "id": 0,    "job_profile": {      "id": 0,      "name": "string"    },    "status": "string",    "filled_by": {      "id": 0,      "full_name": "string"    },    "legal_entity": {      "id": 0,      "name": "string"    },    "department": {      "id": 0,      "name": "string"    },    "location": {      "id": 0,      "name": "string"    },    "employment_type": {      "id": 0,      "name": "string"    },    "manager": {      "id": 0,      "full_name": "string"    }  }}